# ASAP
Solar PV Siting Survey for Anchorage, Alaska

The project will determine the technical siting potential for commercial-scale solar photovoltaic (PV) installations of 1,000 kW (AC) or larger throughout Anchorage, within the built environment. The methodology can build upon the Clean Coalition’s work conducting similar Solar Siting Surveys for other entities. The project will identify lower cost and higher value renewable resource opportunities reflecting characteristics of all available sites in relation to existing loads and electric grid infrastructure. Outcomes will guide the development of cost-effective local solar generation within Anchorage.

## Provided Materials
1. EBCE case study (.kml)
2. EBCE project summary (.xlsx)
3. LIDAR data collected in 2015 (.las)
4. Municipality of Anchorage boundary (.shp)
5. CAMA Household Property Information (.xlsx)
6. Buildings (.gdb)
7. Arcgis license offered by instructor

## Plan
1. Select an area for case study, details are shown in the "Case Study" section
2. Rasterize the region and obtain information via different tools on ArcMap
3. Case study has to be comprehensive enough so the exported models and their corresponding python scripts can process data from other similar regions. For example, model created in this project can also be used in San Francisco or other regions with different latitude and longitude.

## Case Study
The case region, where buildings, some parking lots and empty grounds exist in a well sorted pattern, was selected. The selected las file name is 1659_2614.las. LAS file contains raw LIDAR point cloud data including x, y and z values. By creating a new "LAS Dataset" it is possible to load the data into Arcmap. Creating masks that could trim unnecessary and unwanted data points. Aspect, slope, solar radiation and human sorting are five masks necessary to create. After maskig out the useful area irradiation raster, zonal statistics are calculated based on buildings' polygons. Then the mean value (if selected) of solar irradiation is presented on each building polygon provided. The table generated by zonal statistics feature can be used for data processing. Also, since masks are account for slopes that are larger than 35 degrees, and aspect that does not face south, most of pipeline system, HVAC, ventilation and attics on the building will not be included in the masked solar irradiation raster, thus the mean value calcualted is relatively accurate.

## Assumptions
1. Raster creation
  a. 
2. 


## Tips
1. This program is based on LIDAR data and corresponding building polygons extraction 
2. Python script generated by the model can process similar situations elsewhere
3. Assumptions are listed in the section "Assumptions" below
4. Due to limited access to ICA data, which can only be provided by local electricity company, ICA summary is abandoned

